int tmalloc_total(void);
void tmalloc_free(void *x, char *src, int line);
void *tmalloc_malloc(int n, char *src, int line);
void *tmalloc_realloc(void *x, int n, char *src, int line);
void *tmalloc_calloc(int num, int size, char *src, int line);
char *tmalloc_strdup(const char *s, char *src, int line);
void tmalloc_open(void);
void tmalloc_flush(void);
